Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object The NTLM challenge response is a series of three messages exchanged between a client and a server. This class implements the basic and common functionalities for the three messages type. To be added
- Constructor
  a representing the message sequence number (1, 2 or 3).
  Initialize the message structure using the specified message number.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` an array of bytes containing the message to verify. Verify that the message header is valid for the message type. True if the header is valid for the message type, false otherwise. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` an array of bytes containing the message to decode. Decode the specified binrary message. To be added 1.0.5000.0 2.0.0.0
- Property
  Mono.Security.Protocol.Ntlm.NtlmFlags Set or get the flags used by the message. a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Return the binary message. an array of bytes containing the constructed message. Abstract method in MessageBase. All Type"X"Message class overrides the GetBytes method to return the binary message. 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` Total size of the message. Prepare the message structure with the specified size. An empty message (as an array of bytes) of the specified size. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 The message type (1, 2 or 3). 1, 2 or 3 depending on the message. To be added 1.0.5000.0 2.0.0.0